public class WOLKE
{
    private NIEDERSCHLAG[] elemente;
    private int anzahl; 

    public WOLKE()
    {
        anzahl = 0;
        elemente = new NIEDERSCHLAG[1000];
    }

    public void zeichne()
    {
        ZEICHENFENSTER.gibFenster().loescheAlles();
        for (int i = 0; i < anzahl; i++)
        {
            elemente[i].zeichne();
        }
    }
    
    public void bewege(double zeit)
    {
        for (int i = 0; i < anzahl; i++)
        {
            elemente[i].bewege(zeit);
        }
    }
    
    public void fuegeHinzu(NIEDERSCHLAG elementNeu)
    {
        if (anzahl < 1000)
        {
            elemente[anzahl] = elementNeu;
            anzahl = anzahl + 1;
        }
    }
    
    public void entferne(NIEDERSCHLAG elementAlt)
    {
        for (int i = 0; i < anzahl; i++)
        {
            if (elementAlt == elemente[i])
            {
                elemente[i] = elemente[anzahl - 1];
                elemente[anzahl - 1] = null;
                anzahl = anzahl - 1;
            }
        }
    }
    
    public void loescheAlle()
    {
        while (anzahl>0)
        {
            entferne(elemente[0]);
        }
    }
    
}
